# node-poweredup Class: PoweredUP

# Class: PoweredUP

## PoweredUP

#### new PoweredUP()

  Source:
    - poweredup-node.js, line 32

### Extends

- EventEmitter

### Methods

#### getConnectedHubByUUID(uuid)

  Retrieve a Powered UP Hub by UUID.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `uuid` | string |

  Source:
    - poweredup-node.js, line 79

  ##### Returns:

  Type
    Hub | null

#### getConnectedHubs()

  Retrieve a list of Powered UP Hubs.

  Source:
    - poweredup-node.js, line 71

  ##### Returns:

  Type
    Array.<Hub>

#### getConnectedHubsByName(name)

  Retrieve a list of Powered UP Hub by name.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `name` | string |

  Source:
    - poweredup-node.js, line 88

  ##### Returns:

  Type
    Array.<Hub>

#### scan()

  Begin scanning for Powered UP Hub devices.

  Source:
    - poweredup-node.js, line 43

#### stop()

  Stop scanning for Powered UP Hub devices.

  Source:
    - poweredup-node.js, line 59

### Events

#### discover

  Emits when a Powered UP Hub device is found.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `hub` | WeDo2SmartHub | BoostMoveHub | ControlPlusHub | PUPHub | PUPRemote | DuploTrainBase |

  Source:
    - poweredup-node.js, line 135

#### Search results